{% extends 'base.html.twig' %}

{% block body %}
	<div class="row">
		<div class="col-md-12">
			<div class="section">
				<div class="section-header">
					<h5><b>Listado de Pacientes</b></h5>
				</div>
				<div class="section-body">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Protocolo</th>
									<th>Nombre Completo</th>
									<th>Edad</th>
									<th>DNI</th>
									<th>Localidad</th>
									<th>Sexo</th>
									<th>M. Remitido</th>
									<th>Diagnóstico</th>
									<th>Acciones</th>
								</tr>
							</thead>
							<tbody>
								{% for paciente in pacientes %}
									<tr data-link="{{ path('pacientes_show', { 'id': paciente.id }) }}">
										<td>{{ paciente.protocolo }}</td>
										<td>{{ paciente.nombre ~ ' ' ~ paciente.apellido}}</td>
										<td>{{ paciente.edad }}</td>
										<td>{{ paciente.dni }}</td>
										<td>{{ paciente.localidadNombre }}</td>
										<td>
											{% if paciente.sexo == 'Masculino'%}
												<i class="fa fa-male"></i>
											{% endif %}
											{% if paciente.sexo == 'Femenino' %}
												<i class="fa fa-female"></i>
											{% endif %}
										</td>
										<td>{% if paciente.material %}{{ paciente.material }}{% endif %}</td>
										<td>{% if paciente.diagnostico %}{{ paciente.diagnostico }}{% endif %}</td>
										<td>
											<a href="{{ path('pacientes_show', { 'id': paciente.id }) }}">
												<i class="fa fa-eye"></i>
											</a>
											<a href="{{ path('pacientes_edit', { 'id': paciente.id }) }}">
												<i class="fa fa-edit"></i>
											</a>
										</td>
									</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="section">
				{% if pacientes | length > 14 %}

					<div class="well well-sm clearfix">
						<div class="pagination-info pull-left">
							Mostrando
							<b>
								{{(pacientes.getItemNumberPerPage * pacientes.getCurrentPageNumber) - (pacientes.getItemNumberPerPage -1) }}
								-
								{{pacientes.getItemNumberPerPage * pacientes.getCurrentPageNumber }}</b>
							de
							<b>
								{{ pacientes.getTotalItemCount }}
							</b>
						</div>
						<ul class="pagination pull-right">
							{{ knp_pagination_render(pacientes) }}
						</ul>
					</div>
				{% else %}
					<div class="well well-sm clearfix">
						<div class="pagination-info pull-left">
							Mostrando
							<b>{{ pacientes.getTotalItemCount }}</b>
							pacientes</b>
					</div>
					<ul class="pagination pull-right">
						{{ knp_pagination_render(pacientes) }}
					</ul>
				</div>
			{% endif %}
		</div>
	</div>
</div>

{% endblock %}
{% block javascripts %}
	{{parent()}}
	<script type="text/javascript">
		$(document).ready(function() {
			$("#menu-pacientes").trigger('click');
		});
	</script>
{% endblock %}
